StarWriterStruct::NoteInfo Struct Reference

structure to store a endnoteInfo or a footnoteInfo in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions

| NoteInfo (bool isFootnote)
| constructor
bool | read (StarZone &zone)
| try to read a noteInfo

## Public Attributes

bool | m_isFootnote
| a flag to know if this corresponds to a footnote or a endnote
int | m_type
| the type
int | m_idx [4]
| the list of idx: the page, the coll, the char and the anchorChar
int | m_ftnOffset
| the ftnOffset
librevenge::RVNGString | m_strings [4]
| the strings: prefix, suffix, quoValis, ergoSum
int | m_posType
| the posType
int | m_numType
| the numType

## Friends

std::ostream & | operator<< (std::ostream &o, NoteInfo const &noteInfo)
| operator<<

## Detailed Description

structure to store a endnoteInfo or a footnoteInfo in a text zone

## Constructor & Destructor Documentation

## NoteInfo()

StarWriterStruct::NoteInfo::NoteInfo | ( | bool | isFootnote | ) |

inline explicit

constructor

Referenced by operator<<.

## Member Function Documentation

## read()

bool StarWriterStruct::NoteInfo::read | ( | StarZone & | zone | ) |

try to read a noteInfo

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | NoteInfo const & | noteInfo )

friend

operator<<

## Member Data Documentation

## m_ftnOffset

int StarWriterStruct::NoteInfo::m_ftnOffset

the ftnOffset

Referenced by NoteInfo(), operator<<, and read().

## m_idx

int StarWriterStruct::NoteInfo::m_idx[4]

the list of idx: the page, the coll, the char and the anchorChar

Referenced by NoteInfo(), operator<<, and read().

## m_isFootnote

bool StarWriterStruct::NoteInfo::m_isFootnote

a flag to know if this corresponds to a footnote or a endnote

Referenced by NoteInfo(), operator<<, and read().

## m_numType

int StarWriterStruct::NoteInfo::m_numType

the numType

Referenced by NoteInfo(), operator<<, and read().

## m_posType

int StarWriterStruct::NoteInfo::m_posType

the posType

Referenced by NoteInfo(), operator<<, and read().

## m_strings

librevenge::RVNGString StarWriterStruct::NoteInfo::m_strings[4]

the strings: prefix, suffix, quoValis, ergoSum

Referenced by operator<<, and read().

## m_type

int StarWriterStruct::NoteInfo::m_type

the type

Referenced by NoteInfo(), operator<<, and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx